ReferenceTicket types
Create a ticket type
Create a ticket type on an event.
Create a ticket type on an event.
Authorization
http AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Create (POST) or update (PATCH) a ticket type. Amounts are integer cents
including VAT; vat_rate is a percentage (0, 9 or 21). name and description take a
string (in the event's default language) or an object of translations.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/ticket-types" \ -H "Content-Type: application/json" \ -d '{ "event": "string", "name": "string", "price": 0, "vat_rate": 21 }'{ "id": "string", "object": "ticket_type", "event": "string", "name": null, "description": null, "translations": { "name": [ null ], "description": [ null ] }, "currency": "eur", "price": 0, "price_excl_vat": 0, "vat_rate": 0, "administration_fee": 0, "limit": 0, "sold": 0, "available": 0, "availability": "string", "available_from": "string", "available_until": "string", "min_per_order": 0, "max_per_order": 0, "group_size": 0, "number_of_days": 0, "sort_order": 0, "created_at": "string", "updated_at": "string"}